## ros-noetic-khi-robot-bringup 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(khi_robot_bringup)

find_package(catkin REQUIRED COMPONENTS)

###################################
## catkin specific configuration ##
###################################
catkin_package()

###########
## Build ##
###########

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-khi-robot-bringup (1.3.0-2buster) buster; urgency=high

  * Add rs013n (#50 <https://github.com/Kawasaki-Robotics/khi_robot/issues/50>)
    * Add rs013n
    * Update rs013n pkgs
    * Update libkrnx
    * Fixed rs013n_bringup.launch to use xacro
    * Update libkrnx to 2.2.0
    * Modify test program for RS series robots
    * Remove kinetic from travis.yml
  * Bugfix for noetic release (#44 <https://github.com/Kawasaki-Robotics/khi_robot/issues/44>)
    * update .travis.yml to add noetic test
    * update .travis.yml to change ubuntu version for noetic test
    * Changed to use xacro instead of xacro.py which is deprecated. like https://github.com/ros/urdf_sim_tutorial/pull/8
    * fixed "except A, a:" to "except A as a:" for python3 compatibility
    * add version checking of moveit_commander to the test script due to changes of the return value of MoveGroupCommander.plan() in 1.1.0
    * remove armhf build test for ubuntu 20.04
  * Contributors: Hiroki Matsui, Koki Shinjo

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.2.0-2buster) buster; urgency=high

  * Merge pull request #36 from d-nakamichi/refactoring
    Refactoring about khi_robot_control
  * Refactoring khi_robot_controllers/JointData/KrnxRobotTable/RobotInfo/rtc to khi_robot_param/KhiRobotData/KhiRobotControllerInfo/KhiRobotKrnxRtcData
  * Add joint_limits_interface (#31)
    * Add joint_limits_interface
    * Move joint_limits.yaml from moveit_config to description
    * Modify test messages and conditions in test_position_velocity
    * Change duAro's figure length
    * Move tests from khi_robot_control to khi_robot_test
  * Add position_controllers/JointGroupPositionController (#22)
    * Add position_controllers/JointGroupPositionController
    * fixup! Add position_controllers/JointGroupPositionController
  * Delete README.md in khi_robot_bringup
    This is unneeded.
  * Contributors: Daisuke NAKAMICHI, Hiroki Matsui, d-nakamichi

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.1.2-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.1.1-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.1.0-2buster) buster; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert rs_* to khi_rs_*
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.0.0-2buster) buster; urgency=high

  * Refactoring
  * duAro IKFast
  * Contributors: matsui_hiro, nakamichi_daisuke

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (0.9.4-2buster) buster; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (0.9.3-2buster) buster; urgency=high

  * GitLab CI
  * Bugfix about rs setting files
  * Contributors: matsui_hiro, nakamichi_daisuke

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (0.9.2-2buster) buster; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: matsui_hiro, nakamichi_daisuke

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-khi-robot-bringup
Section: misc
Priority: optional
Maintainer: nakamichi_d <nakamichi_d@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch, ros-noetic-rostest
Homepage: http://ros.org/wiki/khi_robot
Standards-Version: 3.9.2

Package: ros-noetic-khi-robot-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-manager, ros-noetic-joint-state-controller, ros-noetic-joint-trajectory-controller, ros-noetic-khi-duaro-description, ros-noetic-khi-duaro-moveit-config, ros-noetic-khi-robot-control, ros-noetic-position-controllers, ros-noetic-robot-state-publisher, ros-noetic-tf
Description: Package contains bringup scripts/config/tools for KHI Robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-khi-robot-bringup//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-khi-robot-bringup 1.4.0

=== debian/changelog ===
ros-noetic-khi-robot-bringup (1.4.0-2focal) focal; urgency=high

  * Merge pull request #79 <https://github.com/Kawasaki-Robotics/khi_robot/issues/79> from ohno-atsushi/add_rs020n
    Add rs020n
  * Add rs020n
  * Merge pull request #72 <https://github.com/Kawasaki-Robotics/khi_robot/issues/72> from matsui-hiro/rs025n_realrobot
    Add rs025n for real robot
  * Add files for real robot
  * Merge pull request #71 <https://github.com/Kawasaki-Robotics/khi_robot/issues/71> from matsui-hiro/fix_controller_yml
    Fix controller yml
  * Revert duaro_controllers.yaml
  * Fix controller yml setting
  * Contributors: HirokiTakami, matsui-hiro, matsui_hiro, ohno_atsushi

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 27 Apr 2023 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.3.0-2focal) focal; urgency=high

  * Add rs013n (#50 <https://github.com/Kawasaki-Robotics/khi_robot/issues/50>)
    * Add rs013n
    * Update rs013n pkgs
    * Update libkrnx
    * Fixed rs013n_bringup.launch to use xacro
    * Update libkrnx to 2.2.0
    * Modify test program for RS series robots
    * Remove kinetic from travis.yml
  * Bugfix for noetic release (#44 <https://github.com/Kawasaki-Robotics/khi_robot/issues/44>)
    * update .travis.yml to add noetic test
    * update .travis.yml to change ubuntu version for noetic test
    * Changed to use xacro instead of xacro.py which is deprecated. like https://github.com/ros/urdf_sim_tutorial/pull/8
    * fixed "except A, a:" to "except A as a:" for python3 compatibility
    * add version checking of moveit_commander to the test script due to changes of the return value of MoveGroupCommander.plan() in 1.1.0
    * remove armhf build test for ubuntu 20.04
  * Contributors: Hiroki Matsui, Koki Shinjo

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.2.0-2focal) focal; urgency=high

  * Merge pull request #36 from d-nakamichi/refactoring
    Refactoring about khi_robot_control
  * Refactoring khi_robot_controllers/JointData/KrnxRobotTable/RobotInfo/rtc to khi_robot_param/KhiRobotData/KhiRobotControllerInfo/KhiRobotKrnxRtcData
  * Add joint_limits_interface (#31)
    * Add joint_limits_interface
    * Move joint_limits.yaml from moveit_config to description
    * Modify test messages and conditions in test_position_velocity
    * Change duAro's figure length
    * Move tests from khi_robot_control to khi_robot_test
  * Add position_controllers/JointGroupPositionController (#22)
    * Add position_controllers/JointGroupPositionController
    * fixup! Add position_controllers/JointGroupPositionController
  * Delete README.md in khi_robot_bringup
    This is unneeded.
  * Contributors: Daisuke NAKAMICHI, Hiroki Matsui, d-nakamichi

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.1.2-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.1.1-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.1.0-2focal) focal; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert rs_* to khi_rs_*
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (1.0.0-2focal) focal; urgency=high

  * Refactoring
  * duAro IKFast
  * Contributors: matsui_hiro, nakamichi_daisuke

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (0.9.4-2focal) focal; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (0.9.3-2focal) focal; urgency=high

  * GitLab CI
  * Bugfix about rs setting files
  * Contributors: matsui_hiro, nakamichi_daisuke

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-noetic-khi-robot-bringup (0.9.2-2focal) focal; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: matsui_hiro, nakamichi_daisuke

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000
